Archive the SkelJS extension
Closed, ResolvedPublicRequest

Description

Reason:

SkelJS has been created by Ori Livneh as a showcase to write JavaScript for MediaWiki. It hasn't received code since September 2012. As an example, it does not work out of the box with NodeJS 6: T196506

The BoilerPlate extension might be a better fit and it is actively maintained.

hashar created this task.Jun 5 2018, 8:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2018, 8:19 PM

Change 437624 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Archive mediawiki/extensions/SkelJS

https://gerrit.wikimedia.org/r/437624

hashar updated the task description. (Show Details)Jun 5 2018, 8:50 PM

Change 437624 merged by jenkins-bot:
[integration/config@master] Archive mediawiki/extensions/SkelJS

https://gerrit.wikimedia.org/r/437624

Dinoguy1000 updated the task description. (Show Details)Jun 5 2018, 10:28 PM
MarcoAurelio claimed this task.
MarcoAurelio triaged this task as Normal priority.
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptJun 6 2018, 10:21 AM

Change 437726 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/SkelJS@master] Archive the SkelJS extension

https://gerrit.wikimedia.org/r/437726

Change 437727 had a related patch set (by MarcoAurelio) published:
[mediawiki/extensions/SkelJS@refs/meta/config] Mark repository as read only

https://gerrit.wikimedia.org/r/437727

Change 437726 merged by Hashar:
[mediawiki/extensions/SkelJS@master] Archive the SkelJS extension

https://gerrit.wikimedia.org/r/437726

Change 437727 merged by Hashar:
[mediawiki/extensions/SkelJS@refs/meta/config] Mark repository as read only

https://gerrit.wikimedia.org/r/437727

hashar updated the task description. (Show Details)Jun 6 2018, 5:00 PM

Mentioned in SAL (#wikimedia-releng) [2018-06-06T17:01:54Z] <hashar> github: deleted archived repository SkelJS https://github.com/wikimedia/mediawiki-extensions-SkelJS | T196509

Mentioned in SAL (#wikimedia-releng) [2018-06-06T17:02:57Z] <hashar> Phabricator: marked SkelJS Diffusion repository inactive https://phabricator.wikimedia.org/diffusion/ESJS/ | T196509

hashar updated the task description. (Show Details)Jun 6 2018, 5:03 PM

Change 437929 had a related patch set (by MarcoAurelio) published:
[mediawiki/extensions@master] Archive the SkelJS extension

https://gerrit.wikimedia.org/r/437929

Change 437930 had a related patch set (by MarcoAurelio) published:
[translatewiki@master] Archive the SkelJS extension

https://gerrit.wikimedia.org/r/437930

Change 437930 merged by jenkins-bot:
[translatewiki@master] Archive the SkelJS extension

https://gerrit.wikimedia.org/r/437930

Change 437929 merged by Nikerabbit:
[mediawiki/extensions@master] Archive the SkelJS extension

https://gerrit.wikimedia.org/r/437929

MarcoAurelio closed this task as Resolved.Jun 7 2018, 10:15 AM
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio moved this task from ready to archive on the User-MarcoAurelio board.
Vvjjkkii renamed this task from Archive the SkelJS extension to qkbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii removed MarcoAurelio as the assignee of this task.
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot closed this task as Resolved.
CommunityTechBot claimed this task.
CommunityTechBot reassigned this task from CommunityTechBot to MarcoAurelio.
CommunityTechBot renamed this task from qkbaaaaaaa to Archive the SkelJS extension.
CommunityTechBot added subscribers: gerritbot, Aklapper.
CommunityTechBot added a subscriber: CommunityTechBot.